Package jxl.write

# Class NumberFormats

java.lang.Object
jxl.write.NumberFormats

public final class NumberFormats extends Object
Static class which contains the available list of built in Number formats

## Field Summary

Fields
Modifier and Type
Field
Description
`static final jxl.biff.DisplayFormat`
`ACCOUNTING_FLOAT`
Formatting for an integer which is presented in accounting format (ie.
`static final jxl.biff.DisplayFormat`
`ACCOUNTING_INTEGER`
Formatting for an integer which is presented in accounting format (ie.
`static final jxl.biff.DisplayFormat`
`ACCOUNTING_RED_FLOAT`
As ACCOUNTING_FLOAT except that deficits appear coloured red
`static final jxl.biff.DisplayFormat`
`ACCOUNTING_RED_INTEGER`
As ACCOUNTING_INTEGER except that deficits appear coloured red
`static final jxl.biff.DisplayFormat`
`DEFAULT`
The default format.
`static final jxl.biff.DisplayFormat`
`EXPONENTIAL`
Formatting for exponential or scientific notation Equivalent to a DecimalFormat "0.00E00"
`static final jxl.biff.DisplayFormat`
`FLOAT`
Formatting for a float.
`static final jxl.biff.DisplayFormat`
`FORMAT1`
Equivalent to a DecimalFormat "#,##0;(#,##0)"
`static final jxl.biff.DisplayFormat`
`FORMAT10`
Equivalent to DecimalFormat "##0.0E0"
`static final jxl.biff.DisplayFormat`
`FORMAT2`
Equivalent to FORMAT1 except deficits are coloured red
`static final jxl.biff.DisplayFormat`
`FORMAT3`
Equivalent to DecimalFormat "#,##0.00;(#,##0.00)"
`static final jxl.biff.DisplayFormat`
`FORMAT4`
Equivalent to FORMAT3 except deficits are coloured red
`static final jxl.biff.DisplayFormat`
`FORMAT5`
Equivalent to DecimalFormat "#,##0;(#,##0)"
`static final jxl.biff.DisplayFormat`
`FORMAT6`
Equivalent to FORMAT5 except deficits are coloured red
`static final jxl.biff.DisplayFormat`
`FORMAT7`
Equivalent to DecimalFormat "#,##0.00;(#,##0.00)"
`static final jxl.biff.DisplayFormat`
`FORMAT8`
Equivalent to FORMAT7 except deficits are coloured red
`static final jxl.biff.DisplayFormat`
`FORMAT9`
Equivalent to FORMAT7
`static final jxl.biff.DisplayFormat`
`FRACTION_ONE_DIGIT`
Formatting for one digit fractions
`static final jxl.biff.DisplayFormat`
`FRACTION_TWO_DIGITS`
Formatting for two digit fractions
`static final jxl.biff.DisplayFormat`
`INTEGER`
Formatting for an integer number.
`static final jxl.biff.DisplayFormat`
`PERCENT_FLOAT`
Formatting for a float percentage Equivalent to a DecimalFormat "0.00%"
`static final jxl.biff.DisplayFormat`
`PERCENT_INTEGER`
Formatting for an integer presented as a percentage Equivalent to a DecimalFormat of "0%"
`static final jxl.biff.DisplayFormat`
`TEXT`
Forces numbers to be interpreted as text
`static final jxl.biff.DisplayFormat`
`THOUSANDS_FLOAT`
Formatting for a float that has a thousands separator.
`static final jxl.biff.DisplayFormat`
`THOUSANDS_INTEGER`
Formatting for an integer that has a thousands separator.

## Constructor Summary

Constructors
Constructor
Description
`NumberFormats()`

## Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DEFAULT

public static final jxl.biff.DisplayFormat DEFAULT
The default format. This is equivalent to a number format of '#'

### INTEGER

public static final jxl.biff.DisplayFormat INTEGER
Formatting for an integer number. This is equivalent to a DecimalFormat of "0"

### FLOAT

public static final jxl.biff.DisplayFormat FLOAT
Formatting for a float. This formats number to two decimal places. It is equivalent to a DecimalFormat of "0.00"

### THOUSANDS_INTEGER

public static final jxl.biff.DisplayFormat THOUSANDS_INTEGER
Formatting for an integer that has a thousands separator. Equivalent to a DecimalFormat of "#,##0"

### THOUSANDS_FLOAT

public static final jxl.biff.DisplayFormat THOUSANDS_FLOAT
Formatting for a float that has a thousands separator. Equivalent to a DecimalFormat of "#,##0.00"

### ACCOUNTING_INTEGER

public static final jxl.biff.DisplayFormat ACCOUNTING_INTEGER
Formatting for an integer which is presented in accounting format (ie. deficits appear in parentheses) Equivalent to a DecimalFormat of "$#,##0;($#,##0)"

### ACCOUNTING_RED_INTEGER

public static final jxl.biff.DisplayFormat ACCOUNTING_RED_INTEGER
As ACCOUNTING_INTEGER except that deficits appear coloured red

### ACCOUNTING_FLOAT

public static final jxl.biff.DisplayFormat ACCOUNTING_FLOAT
Formatting for an integer which is presented in accounting format (ie. deficits appear in parentheses) Equivalent to a DecimalFormat of "$#,##0;($#,##0)"

### ACCOUNTING_RED_FLOAT

public static final jxl.biff.DisplayFormat ACCOUNTING_RED_FLOAT
As ACCOUNTING_FLOAT except that deficits appear coloured red

### PERCENT_INTEGER

public static final jxl.biff.DisplayFormat PERCENT_INTEGER
Formatting for an integer presented as a percentage Equivalent to a DecimalFormat of "0%"

### PERCENT_FLOAT

public static final jxl.biff.DisplayFormat PERCENT_FLOAT
Formatting for a float percentage Equivalent to a DecimalFormat "0.00%"

### EXPONENTIAL

public static final jxl.biff.DisplayFormat EXPONENTIAL
Formatting for exponential or scientific notation Equivalent to a DecimalFormat "0.00E00"

### FRACTION_ONE_DIGIT

public static final jxl.biff.DisplayFormat FRACTION_ONE_DIGIT
Formatting for one digit fractions

### FRACTION_TWO_DIGITS

public static final jxl.biff.DisplayFormat FRACTION_TWO_DIGITS
Formatting for two digit fractions

### FORMAT1

public static final jxl.biff.DisplayFormat FORMAT1
Equivalent to a DecimalFormat "#,##0;(#,##0)"

### FORMAT2

public static final jxl.biff.DisplayFormat FORMAT2
Equivalent to FORMAT1 except deficits are coloured red

### FORMAT3

public static final jxl.biff.DisplayFormat FORMAT3
Equivalent to DecimalFormat "#,##0.00;(#,##0.00)"

### FORMAT4

public static final jxl.biff.DisplayFormat FORMAT4
Equivalent to FORMAT3 except deficits are coloured red

### FORMAT5

public static final jxl.biff.DisplayFormat FORMAT5
Equivalent to DecimalFormat "#,##0;(#,##0)"

### FORMAT6

public static final jxl.biff.DisplayFormat FORMAT6
Equivalent to FORMAT5 except deficits are coloured red

### FORMAT7

public static final jxl.biff.DisplayFormat FORMAT7
Equivalent to DecimalFormat "#,##0.00;(#,##0.00)"

### FORMAT8

public static final jxl.biff.DisplayFormat FORMAT8
Equivalent to FORMAT7 except deficits are coloured red

### FORMAT9

public static final jxl.biff.DisplayFormat FORMAT9
Equivalent to FORMAT7

### FORMAT10

public static final jxl.biff.DisplayFormat FORMAT10
Equivalent to DecimalFormat "##0.0E0"

### TEXT

public static final jxl.biff.DisplayFormat TEXT
Forces numbers to be interpreted as text

## Constructor Details

### NumberFormats

public NumberFormats()